// SPDX-FileCopyrightText: 2021 Johannes Loher
//
// SPDX-License-Identifier: MIT

import { registerForHotbarDropHook } from "./hotbar-drop";
import { registerForInitHook } from "./init";
import { registerForPreCreateItemHook } from "./pre-create-item";
import { registerForReadyHook } from "./ready";
import { registerForRenderHooks } from "./render";
import { registerForSetupHook } from "./setup";

export function registerForHooks(): void {
  registerForHotbarDropHook();
  registerForPreCreateItemHook();
  registerForInitHook();
  registerForReadyHook();
  registerForRenderHooks();
  registerForSetupHook();
}
